%define oname   net-ldap

Name:       ruby-%{oname}
Version:    0.3.1
Release:    %mkrel 6
Summary:    Implements client access for LDAP
License:    MIT
Group:      Development/Ruby
URL:        http://net-ldap.rubyforge.org/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Net::LDAP for Ruby (also called net-ldap) implements client access for the
Lightweight Directory Access Protocol (LDAP), an IETF standard protocol for
accessing distributed directory services. Net::LDAP is written completely in
Ruby with no external dependencies. It supports most LDAP client features
and a
subset of server features as well.
Net::LDAP has been tested against modern popular LDAP servers including
OpenLDAP and Active Directory. The current release is mostly compliant with
earlier versions of the IETF LDAP RFCs (2251–2256, 2829–2830, 3377, and
3771).
Our roadmap for Net::LDAP 1.0 is to gain full <em>client</em> compliance
with
the most recent LDAP RFCs (4510–4519, plus portions of 4520–4532).

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%{gem_instdir}/autotest
%{gem_instdir}/spec
%{gem_instdir}/test
%{gem_instdir}/testserver
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 0.3.1-6.mga4
+ Revision: 562035
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 0.3.1-5.mga4
+ Revision: 561465
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.3.1-4.mga4
+ Revision: 535950
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 0.3.1-3.mga4
+ Revision: 482850
- update file list
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 0.3.1-3.mga3
+ Revision: 396212
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.3.1-2.mga3
+ Revision: 381132
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.3.1-1.mga3
+ Revision: 313414
- new version 0.3.1

* Sun Apr 17 2011 shikamaru <shikamaru> 0.2.2-1.mga1
+ Revision: 87121
- imported package ruby-net-ldap


* Sun Apr 17 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.2.2-1
- Initial package
